package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.ToString;

import javax.validation.constraints.NotNull;

/**
 * @description: 行驶证三要素
 * @author: xusonglin
 * @create: 2019/7/8 15:29
 * @version: V1.0
 **/
@Data
public class DrivingLicenseJsonResolveObject {
    @NotNull(message = "参数名错误")
    private String name;

    @NotNull(message = "参数名错误")
    private String idCode;

    // 车牌号
    @NotNull(message = "参数名错误")
    private String plateNumber;

    @Override
    public String toString() {
        return "name=" + name +
                "&identityCard=" + idCode +
                "&carNumber=" + plateNumber;
    }
}
