package info.aspirecn.rdc.iov.sjjh.servicenode.supplier.yh.vo;

import lombok.Data;
import lombok.ToString;


/**
 * 联通在网状态、时长接口返回解析对象
 * @author minmin
 *
 */

@Data
@ToString(callSuper = true, includeFieldNames = true)
public class LianTongOnlineCheckResponseObject {
	/**提交响应码*/
    private String code;
    /**响应码对应描述*/
    private String msg;
    /**接口返回的具体内容*/
    private LianTongOnlineCheckChildResponseObject data;
    /**流水号*/
    private String serialno;

    @Data
    public class LianTongOnlineCheckChildResponseObject{
    	/**是否收旨：1收费*/
        private String status;
        /**返回结果码*/
        private String result;
        /**message*/
        private String message;
        /**查询时传入的手机号*/
        private String phone;
    }
}
